import lume from "lume/mod.ts";
import postcss from "lume/plugins/postcss.ts";

const markdown = { options: { breaks: true } };

const site = lume({}, { markdown });

site.use(postcss());

site.loadAssets([
  ".png",
  ".jpg",
  ".svg",
  ".pdf",
  ".woff2",
  ".woff",
  ".ttf",
  ".otf",
  ".js",
  ".txt",
]);

site.filter("title", (value = '') => value + (value ? " | " : "") + "MiOM");

site.filter("objectToArray", (value = {}) => Object.keys(value)
  .sort()
  .map(key => value[key])
  .filter(val => !!val)
);

site.ignore("README.md", "CHANGELOG.md", "LICENSE.md", "docker-compose.yml");

export default site;
